#!/usr/bin/perl

use CGI::Carp qw( fatalsToBrowser );

print "Content-type: text/html\n\n";

use strict;
use DBI;

my $pos = 0;
my $filestring = "";

my $dbh = DBI->connect ("DBI:mysql:DB-ALBUM", "DB-USERNAME", "DB-PASSWORD", { RaiseError => 1, PrintError => 0});
my $sth = $dbh->prepare ("SELECT filename, filepath, pid FROM DB-PFX_pictures ORDER BY pid DESC");
$sth->execute ();

$filestring .= "<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"yes\"?>\n";
$filestring .= "<rss xmlns:media=\"http://search.yahoo.com/mrss\" version=\"2.0\">\n";
$filestring .= "\t<channel>\n";

while (my ($filename, $filepath) = $sth->fetchrow_array ())
{
    $filestring .= "\t\t<item>\n";
	$filestring .= "\t\t\t<title>$filename</title>\n";
    $filestring .= "\t\t\t<link>displayimage.php?album=lastup&amp;cat=0&amp;pos="; 
	$filestring .= $pos++; 
	$filestring .= "</link>\n";
	$filestring .= "\t\t\t<media:thumbnail url=\"albums/$filepath"."thumb_$filename\" />\n";
	$filestring .= "\t\t\t<media:thumbnail url=\"albums/$filepath"."normal_$filename\" />\n";
	$filestring .= "\t\t\t<media:content url=\"albums/$filepath"."$filename\" />\n";
    $filestring .= "\t\t</item>\n";
}

print "<br />";

$dbh->disconnect ();

$filestring .= "\t</channel>\n";
$filestring .= "</rss>\n";

open my $rssfile,  "> photos.rss";
print {$rssfile} $filestring;

print "<a href=\"photos.rss\">View the XML/RSS</a><br /><br />";
print $filestring;

exit;